=== src/CMakeLists.txt ===
add_subdirectory(api)
add_subdirectory(base)
add_subdirectory(loader)
