=== test/CMakeLists.txt ===
find_package(ament_cmake_gtest REQUIRED)
find_package(ament_cmake_gmock REQUIRED)

add_subdirectory(api)
add_subdirectory(base)
add_subdirectory(loader)
