=== include/maliput_object/CMakeLists.txt ===
add_subdirectory(api)
add_subdirectory(base)
add_subdirectory(loader)
add_subdirectory(test_utilities)
