=== debian/changelog ===
ros-foxy-maliput-object (0.1.2-1focal) focal; urgency=high

  * Moves BoundingRegion, BoundingBox and OverlappingType to maliput (#44 <https://github.com/maliput/maliput_object/issues/44>)
  * Adds triage workflow. (#43 <https://github.com/maliput/maliput_object/issues/43>)
  * Improves README. (#42 <https://github.com/maliput/maliput_object/issues/42>)
  * Contributors: Franco Cipollone

 -- Daniel Stonier <daniel.stonier@tri.global>  Tue, 16 Aug 2022 03:00:00 -0000

ros-foxy-maliput-object (0.1.1-1focal) focal; urgency=high

  * Fixes include folder installation. (#41 <https://github.com/maliput/maliput_object/issues/41>)
  * Uses ros-action-ci for main workflow. (#40 <https://github.com/maliput/maliput_object/issues/40>)
  * Contributors: Franco Cipollone

 -- Daniel Stonier <daniel.stonier@tri.global>  Tue, 21 Jun 2022 03:00:00 -0000

ros-foxy-maliput-object (0.1.0-1focal) focal; urgency=high

  * Use <doc_depend> for ament_cmake_doxygen dependency. (#39 <https://github.com/maliput/maliput_object/issues/39>)
  * Moves package to root. (#38 <https://github.com/maliput/maliput_object/issues/38>)
  * Removes maliput_object_py from the repo (#37 <https://github.com/maliput/maliput_object/issues/37>)
  * Updates license. (#35 <https://github.com/maliput/maliput_object/issues/35>)
  * Uses ament_export_targets. (#34 <https://github.com/maliput/maliput_object/issues/34>)
  * Adds testing support for LoadFile to parse objects from a YAML. (#33 <https://github.com/maliput/maliput_object/issues/33>)
  * Creates bindings for the maliput::object::api namespace (#31 <https://github.com/maliput/maliput_object/issues/31>)
  * Implements the loader for ObjectBook (#32 <https://github.com/maliput/maliput_object/issues/32>)
  * Adds maliput_object_py to CI. (#30 <https://github.com/maliput/maliput_object/issues/30>)
  * Creates the package for the python bindings (#29 <https://github.com/maliput/maliput_object/issues/29>)
  * Adds documentation about the YAML specification for objects. (#24 <https://github.com/maliput/maliput_object/issues/24>)
  * Adds missing BoundingBox::box_size() method defintion. (#28 <https://github.com/maliput/maliput_object/issues/28>)
  * Adds ManualObjectBook. (#23 <https://github.com/maliput/maliput_object/issues/23>)
  * Updates misleading OverlappingType's docstring. (#26 <https://github.com/maliput/maliput_object/issues/26>)
  * Adds a SimpleObjectQuery implementation (#17 <https://github.com/maliput/maliput_object/issues/17>)
  * Adds BoundingBox Implementation (#7 <https://github.com/maliput/maliput_object/issues/7>)
  * Improves OverlappingTest definition. (#16 <https://github.com/maliput/maliput_object/issues/16>)
  * Adds ObjectQuery class. (#13 <https://github.com/maliput/maliput_object/issues/13>)
  * Creates ObjectBook API (#12 <https://github.com/maliput/maliput_object/issues/12>)
  * Creates Object class (#8 <https://github.com/maliput/maliput_object/issues/8>)
  * Adds BoundingRegion api class. (#6 <https://github.com/maliput/maliput_object/issues/6>)
  * Setup maliput_object repository/package (#2 <https://github.com/maliput/maliput_object/issues/2>)
  * Initial commit
  * Contributors: Agustin Alba Chicar, Franco Cipollone, Voldivh

 -- Daniel Stonier <daniel.stonier@tri.global>  Fri, 10 Jun 2022 03:00:00 -0000
